com.aispeech.dui.dds.agent.wakeup.word

## Class WakeupWord

- java.lang.Object
- - com.aispeech.dui.dds.agent.wakeup.word.WakeupWord

- All Implemented Interfaces:
    IWakeupWord
  Direct Known Subclasses:
    WakeupWordIntent

      public class WakeupWord
      extends java.lang.Object
      implements IWakeupWord

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `action`
    `protected java.lang.String` | `dcheck`
    `protected java.util.List<java.lang.String>` | `greetingList`
    `protected java.lang.String` | `incrementWord`
    `protected java.lang.String` | `major`
    `protected ICreateEngine` | `mCreateEngine`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `pinyin`
    `protected java.lang.String` | `threshold`
    `protected java.lang.String` | `threshold2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupWord()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WakeupWord` | `addGreeting(java.lang.String greeting)` 添加唤醒词欢迎语
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getDcheck()`
    `java.util.List<java.lang.String>` | `getGreetingList()`
    `java.lang.String` | `getIncrementWord()`
    `protected java.lang.String` | `getJson()`
    `protected org.json.JSONObject` | `getJsonObject()`
    `java.lang.String` | `getMajor()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPinyin()`
    `java.lang.String` | `getThreshold()`
    `java.lang.String` | `getThreshold2()`
    `WakeupWord` | `setAction(java.lang.String action)` 设置唤醒词对应的command命令
    `void` | `setCreateEngine(ICreateEngine createEngine)`
    `WakeupWord` | `setDcheck(java.lang.String dcheck)` 设置唤醒校验
    `WakeupWord` | `setGreetings(java.util.ArrayList<java.lang.String> greetingList)` 设置唤醒词欢迎语
    `WakeupWord` | `setIncrementWord(java.lang.String incrementWord)` 设置是否是本地识别增量词语
    `WakeupWord` | `setMajor(java.lang.String major)`
    `WakeupWord` | `setPinyin(java.lang.String pinyin)` 设置唤醒词拼音
    `WakeupWord` | `setThreshold(java.lang.String threshold)` 设置唤醒词阈值
    `WakeupWord` | `setThreshold(java.lang.String threshold, java.lang.String threshold2)` 设置唤醒词阈值
    `WakeupWord` | `setWord(java.lang.String word)` 设置唤醒词汉字
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### pinyin

          protected java.lang.String pinyin

    - #### threshold

          protected java.lang.String threshold

    - #### threshold2

          protected java.lang.String threshold2

    - #### greetingList

          protected java.util.List<java.lang.String> greetingList

    - #### action

          protected java.lang.String action

    - #### mCreateEngine

          protected ICreateEngine mCreateEngine

    - #### dcheck

          protected java.lang.String dcheck

    - #### major

          protected java.lang.String major

    - #### incrementWord

          protected java.lang.String incrementWord

  - ### Constructor Detail

    - #### WakeupWord

          public WakeupWord()

  - ### Method Detail

    - #### setIncrementWord

          public WakeupWord setIncrementWord(java.lang.String incrementWord)

      设置是否是本地识别增量词语
      Parameters:
        `incrementWord` -

    - #### setWord

          public WakeupWord setWord(java.lang.String word)

      设置唤醒词汉字
      Parameters:
        `word` - 唤醒词汉字
      Returns:

    - #### setPinyin

          public WakeupWord setPinyin(java.lang.String pinyin)

      设置唤醒词拼音
      Parameters:
        `pinyin` - 唤醒词拼音
      Returns:

    - #### setThreshold

          public WakeupWord setThreshold(java.lang.String threshold)

      设置唤醒词阈值
      Parameters:
        `threshold` - 唤醒词阈值
      Returns:

    - #### setThreshold

          public WakeupWord setThreshold(java.lang.String threshold,
                                         java.lang.String threshold2)

      设置唤醒词阈值
      Parameters:
        `threshold` - 唤醒词阈值
        `threshold2` - 唤醒词阈值2
      Returns:

    - #### addGreeting

          public WakeupWord addGreeting(java.lang.String greeting)

      添加唤醒词欢迎语
      Parameters:
        `greeting` - 唤醒词欢迎语
      Returns:

    - #### setGreetings

          public WakeupWord setGreetings(java.util.ArrayList<java.lang.String> greetingList)

      设置唤醒词欢迎语
      Parameters:
        `greetingList` - 唤醒词欢迎语集合
      Returns:

    - #### setAction

          public WakeupWord setAction(java.lang.String action)

      设置唤醒词对应的command命令
      Parameters:
        `action` - 唤醒词对应的command命令
      Returns:

    - #### setDcheck

          public WakeupWord setDcheck(java.lang.String dcheck)

      设置唤醒校验
      Parameters:
        `dcheck` -
      Returns:

    - #### setMajor

          public WakeupWord setMajor(java.lang.String major)

    - #### getJsonObject

          protected org.json.JSONObject getJsonObject()

    - #### getJson

          protected java.lang.String getJson()

    - #### getName

          public java.lang.String getName()

    - #### getPinyin

          public java.lang.String getPinyin()

    - #### getThreshold

          public java.lang.String getThreshold()

    - #### getThreshold2

          public java.lang.String getThreshold2()

    - #### getGreetingList

          public java.util.List<java.lang.String> getGreetingList()

    - #### getAction

          public java.lang.String getAction()

    - #### getDcheck

          public java.lang.String getDcheck()

    - #### getMajor

          public java.lang.String getMajor()

    - #### getIncrementWord

          public java.lang.String getIncrementWord()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setCreateEngine

          public void setCreateEngine(ICreateEngine createEngine)

      Specified by:
        `setCreateEngine` in interface `IWakeupWord`